<template>
    <b-col cols="12" lg="6">
        <!-- ADD : START -->
        <form-add 
            v-on:handerAddTask= "handerAddTask"
            v-bind:isShowForm = "isShowForm"
        />
        <!-- ADD :  END -->

        <form  v-if="isShowForm" action="" method="POST" class="form-inline justify-content-between">
            <div class="form-group">
                <label class="sr-only" for="">label</label>
                <input v-model="taskname" type="text" class="form-control" placeholder="Task Name" />
            </div>
            <div class="form-group">
                <label class="sr-only" for="">label</label>
                <select v-model="level"  class="form-control" required="required">
                    <option value="0">Small</option>
                    <option value="1">Medium</option>
                    <option value="2">High</option>
                </select>
            </div>
            <button  
                type="button" class="btn btn-primary">Submit</button>
            <button
                
                type="button" class="btn btn-primary">Update</button>

            <button type="button" class="btn btn-secondary" v-on:click="handerCancel">Cancel</button>
        </form>
    </b-col>
</template>

<script>
import FormAdd from './FormAdd';
import uuidv4 from 'uuid/v4';


export default {
    name: 'comp-form',
    components: {
        FormAdd
    },
    props:['isShowForm'],
    data() {
        return {
            taskname: '',
            level: 0
        }
    },
   
    beforeUpdate() {
        
    },
    methods: {
       
       handerAddTask() {
        console.log('comform nef');
        this.$emit('toggleForm');
       },
       handerCancel(){
        this.$emit('toggleForm');
       }
       
    }
}
</script>

<style>

</style>
